# debian-config

### system cleanup
```
apt-get update && apt-get upgrade -y && apt-get autoremove -y && apt-get clean
```

### sysctl.conf tweaks :
```
wget -O /etc/sysctl.conf https://git.virtubox.net/virtubox/debian-config/raw/master/etc/sysctl.conf
sysctl -e -p /etc/sysctl.conf
```

### netdata : 
```
bash <(curl -Ss https://my-netdata.io/kickstart-static64.sh) all
```

### mariadb 10.2 install
```
curl -sS https://downloads.mariadb.com/MariaDB/mariadb_repo_setup |
    sudo bash -s -- --mariadb-server-version=10.2 --skip-maxscale
```
```
apt update
apt install mariadb-server
```

### easyengine install
```
wget -qO ee rt.cx/ee && bash ee
ee stack install --php --wpcli
sudo wp --allow-root cli update --nightly
```

### composer install
```
bash <(wget --no-check-certificate -O - https://git.virtubox.net/virtubox/debian-config/raw/master/composer.sh)
```

### phpmyadmin fix
```
ee stack install --phpmyadmin
sudo -u www-data composer update -d /var/www/22222/htdocs/db/pma/
```

### php7 config
```
wget -O /etc/php/7.0/fpm/php.ini https://git.virtubox.net/virtubox/debian-config/raw/master/etc/php/7.0/fpm/php.ini
wget -O /etc/php/7.0/cli/php.ini https://git.virtubox.net/virtubox/debian-config/raw/master/etc/php/7.0/cli/php.ini
service php7.0-fpm restart
```

### nginx config
```
wget -O /etc/nginx/nginx.conf https://git.virtubox.net/virtubox/debian-config/raw/master/etc/nginx/nginx.conf
wget -O /etc/nginx/sites-available/22222 https://git.virtubox.net/virtubox/debian-config/raw/master/etc/nginx/sites-available/22222
wget -O /etc/nginx/sites-available/default https://git.virtubox.net/virtubox/debian-config/raw/master/etc/nginx/sites-available/default
service nginx reload
```


### hsts config

```
wget -O /etc/nginx/common/hsts.conf https://git.virtubox.net/virtubox/debian-config/raw/master/etc/nginx/common/hsts.conf
```

add in your vhost config
```
include common/hsts.conf;
```

### mysqltuner
```
wget https://raw.githubusercontent.com/major/MySQLTuner-perl/master/mysqltuner.pl
chmod +x mysqltuner.pl
```

### Certbot 
Domain : 
```
bash <(wget --no-check-certificate -O - https://git.virtubox.net/virtubox/debian-config/raw/master/certbot-domain.sh)
```
Sub-domain : 

```
bash <(wget --no-check-certificate -O - https://git.virtubox.net/virtubox/debian-config/raw/master/certbot-sub.sh)
```